Loading...
Searching...
No Matches
casacore::VirtualArrayColumn< T > Class Template Referenceabstract

`#include <VirtArrCol.h>`

## Public Member Functions

| VirtualArrayColumn ()
| Create a column.
virtual | ~VirtualArrayColumn ()
| VirtualArrayColumn (const VirtualArrayColumn< T > &)=delete
| The object cannot be copied.
VirtualArrayColumn< T > & | operator= (const VirtualArrayColumn< T > &)=delete
| The object cannot be assigned to.
virtual int | dataType () const
| Return the data type of the column.
virtual String | dataTypeId () const
| Return the data type Id of the column.
Public Member Functions inherited from casacore::VirtualArrayColumnBase
| VirtualArrayColumnBase ()
| Create a column.
virtual | ~VirtualArrayColumnBase ()
virtual Bool | isWritable () const
| By default no data can be put in a virtual column.
Public Member Functions inherited from casacore::DataManagerColumn
| DataManagerColumn ()
| Create a column.
virtual | ~DataManagerColumn ()
| Frees up the storage.
| DataManagerColumn (const DataManagerColumn &)=delete
| The copy constructor cannot be used for this base class.
DataManagerColumn & | operator= (const DataManagerColumn &)=delete
| Assignment cannot be used for this base class.
void | setIsFixedShape (Bool isFixedShape)
| Set the isFixedShape flag.
Bool | isFixedShape () const
| Is this a fixed shape column?
virtual void | setMaxLength (uInt maxLength)
| Set the maximum length of the value (can be used for strings).
void | setFixedShapeColumn (const IPosition &shape)
| Set the shape of all (fixed-shaped) arrays in the column.
virtual void | setShapeTiled (rownr_t rownr, const IPosition &shape, const IPosition &tileShape)
| Set the shape and tile shape of an (variable-shaped) array in the given row.
virtual uInt | ndim (rownr_t rownr)
| Get the dimensionality of the item in the given row.
virtual IPosition | tileShape (rownr_t rownr)
| Get the tile shape of the item in the given row.
virtual Bool | canChangeShape () const
| Can the data manager handle chaging the shape of an existing array?
ColumnCache & | columnCache ()
| Get access to the ColumnCache object.
const ColumnCache * | columnCachePtr () const
void | get (rownr_t rownr, Bool *dataPtr)
| Get the scalar value in the given row.
void | get (rownr_t rownr, uChar *dataPtr)
void | get (rownr_t rownr, Short *dataPtr)
void | get (rownr_t rownr, uShort *dataPtr)
void | get (rownr_t rownr, Int *dataPtr)
void | get (rownr_t rownr, uInt *dataPtr)
void | get (rownr_t rownr, Int64 *dataPtr)
void | get (rownr_t rownr, float *dataPtr)
void | get (rownr_t rownr, double *dataPtr)
void | get (rownr_t rownr, Complex *dataPtr)
void | get (rownr_t rownr, DComplex *dataPtr)
void | get (rownr_t rownr, String *dataPtr)
void | get (rownr_t rownr, void *dataPtr)
| This function is the get for all non-standard data types.
void | put (rownr_t rownr, const Bool *dataPtr)
| Put the scalar value into the given row.
void | put (rownr_t rownr, const uChar *dataPtr)
void | put (rownr_t rownr, const Short *dataPtr)
void | put (rownr_t rownr, const uShort *dataPtr)
void | put (rownr_t rownr, const Int *dataPtr)
void | put (rownr_t rownr, const uInt *dataPtr)
void | put (rownr_t rownr, const Int64 *dataPtr)
void | put (rownr_t rownr, const float *dataPtr)
void | put (rownr_t rownr, const double *dataPtr)
void | put (rownr_t rownr, const Complex *dataPtr)
void | put (rownr_t rownr, const DComplex *dataPtr)
void | put (rownr_t rownr, const String *dataPtr)
void | put (rownr_t rownr, const void *dataPtr)
| This function is the put for all non-standard data types.
void | throwGet () const
| Throw an "invalid operation" exception for the default implementation of get.
void | throwPut () const
| Throw an "invalid operation" exception for the default implementation of put.
void | setColumnName (const String &colName)
| Set the column name.
const String & | columnName () const
| Get rhe column name.

## Protected Member Functions

virtual void | getArray (rownr_t rownr, Array< T > &data)=0
| Get the array value in the given row.
virtual void | putArray (rownr_t rownr, const Array< T > &data)
| Put the array value into the given row.
virtual void | getSlice (rownr_t rownr, const Slicer &slicer, Array< T > &data)
| Get a section of the array in the given row.
virtual void | putSlice (rownr_t rownr, const Slicer &slicer, const Array< T > &data)
| Put into a section of the array in the given row.
virtual void | getArrayColumn (Array< T > &data)
| Get an entire column.
virtual void | putArrayColumn (const Array< T > &data)
| Put an entire column.
virtual void | getArrayColumnCells (const RefRows &rownrs, Array< T > &data)
| Get some array values in the column.
virtual void | putArrayColumnCells (const RefRows &rownrs, const Array< T > &data)
| Put some array values in the column.
virtual void | getColumnSlice (const Slicer &slicer, Array< T > &data)
| Get a section of all arrays in the column.
virtual void | putColumnSlice (const Slicer &slicer, const Array< T > &data)
| Put a section of all arrays in the column.
virtual void | getColumnSliceCells (const RefRows &rownrs, const Slicer &slicer, Array< T > &data)
| Get a section of some arrays in the column.
virtual void | putColumnSliceCells (const RefRows &rownrs, const Slicer &slicer, const Array< T > &data)
| Put into a section of some arrays in the column.
Protected Member Functions inherited from casacore::VirtualArrayColumnBase
virtual void | setShapeColumn (const IPosition &shape)
| Set the shape of all arrays in the column.
virtual void | setShape (rownr_t rownr, const IPosition &shape)
| Set the shape of an array in the given row.
virtual Bool | isShapeDefined (rownr_t rownr)
| Is the value shape defined in the given row?
virtual IPosition | shape (rownr_t rownr)
| Get the shape of the item in the given row.
virtual void | getScalarColumnV (ArrayBase &dataPtr)
| The scalar access functions throw an exception.
virtual void | putScalarColumnV (const ArrayBase &dataPtr)
| Put all scalar values in the column.
virtual void | getScalarColumnCellsV (const RefRows &rownrs, ArrayBase &dataPtr)
| Get some scalar values in the column.
virtual void | putScalarColumnCellsV (const RefRows &rownrs, const ArrayBase &dataPtr)
| Put some scalar values in the column.
Protected Member Functions inherited from casacore::DataManagerColumn
virtual void | getBool (rownr_t rownr, Bool *dataPtr)
| Get the scalar value in the given row.
virtual void | getuChar (rownr_t rownr, uChar *dataPtr)
virtual void | getShort (rownr_t rownr, Short *dataPtr)
virtual void | getuShort (rownr_t rownr, uShort *dataPtr)
virtual void | getInt (rownr_t rownr, Int *dataPtr)
virtual void | getuInt (rownr_t rownr, uInt *dataPtr)
virtual void | getInt64 (rownr_t rownr, Int64 *dataPtr)
virtual void | getfloat (rownr_t rownr, float *dataPtr)
virtual void | getdouble (rownr_t rownr, double *dataPtr)
virtual void | getComplex (rownr_t rownr, Complex *dataPtr)
virtual void | getDComplex (rownr_t rownr, DComplex *dataPtr)
virtual void | getString (rownr_t rownr, String *dataPtr)
virtual void | getOther (rownr_t rownr, void *dataPtr)
| This function is the get for all non-standard data types.
virtual void | putBool (rownr_t rownr, const Bool *dataPtr)
| Put the scalar value into the given row.
virtual void | putuChar (rownr_t rownr, const uChar *dataPtr)
virtual void | putShort (rownr_t rownr, const Short *dataPtr)
virtual void | putuShort (rownr_t rownr, const uShort *dataPtr)
virtual void | putInt (rownr_t rownr, const Int *dataPtr)
virtual void | putuInt (rownr_t rownr, const uInt *dataPtr)
virtual void | putInt64 (rownr_t rownr, const Int64 *dataPtr)
virtual void | putfloat (rownr_t rownr, const float *dataPtr)
virtual void | putdouble (rownr_t rownr, const double *dataPtr)
virtual void | putComplex (rownr_t rownr, const Complex *dataPtr)
virtual void | putDComplex (rownr_t rownr, const DComplex *dataPtr)
virtual void | putString (rownr_t rownr, const String *dataPtr)
virtual void | putOther (rownr_t rownr, const void *dataPtr)
| This function is the put for all non-standard data types.
void | getScalarColumnBase (ArrayBase &dataPtr)
| The default implementations of get and put functions.
void | putScalarColumnBase (const ArrayBase &dataPtr)
void | getScalarColumnCellsBase (const RefRows &rownrs, ArrayBase &dataPtr)
void | putScalarColumnCellsBase (const RefRows &rownrs, const ArrayBase &dataPtr)
void | getArrayColumnBase (ArrayBase &data)
void | putArrayColumnBase (const ArrayBase &data)
void | getArrayColumnCellsBase (const RefRows &rownrs, ArrayBase &data)
void | putArrayColumnCellsBase (const RefRows &rownrs, const ArrayBase &data)
void | getSliceBase (rownr_t rownr, const Slicer &slicer, ArrayBase &data)
void | putSliceBase (rownr_t rownr, const Slicer &slicer, const ArrayBase &data)
void | getColumnSliceBase (const Slicer &slicer, ArrayBase &data)
void | putColumnSliceBase (const Slicer &slicer, const ArrayBase &data)
void | getColumnSliceCellsBase (const RefRows &rownrs, const Slicer &slicer, ArrayBase &data)
void | putColumnSliceCellsBase (const RefRows &rownrs, const Slicer &slicer, const ArrayBase &data)

## Private Member Functions

void | getArrayV (rownr_t rownr, ArrayBase &dataPtr)
| Implement the virtual functions defined in DataManagerColumn.
void | putArrayV (rownr_t rownr, const ArrayBase &dataPtr)
| Implement the virtual functions defined in DataManagerColumn.
void | getArrayColumnCellsV (const RefRows &rownrs, ArrayBase &dataPtr)
| Implement the virtual functions defined in DataManagerColumn.
void | putArrayColumnCellsV (const RefRows &rownrs, const ArrayBase &dataPtr)
| Implement the virtual functions defined in DataManagerColumn.
void | getSliceV (rownr_t rownr, const Slicer &slicer, ArrayBase &dataPtr)
| Implement the virtual functions defined in DataManagerColumn.
void | putSliceV (rownr_t rownr, const Slicer &slicer, const ArrayBase &dataPtr)
| Implement the virtual functions defined in DataManagerColumn.
void | getArrayColumnV (ArrayBase &dataPtr)
| Implement the virtual functions defined in DataManagerColumn.
void | putArrayColumnV (const ArrayBase &dataPtr)
| Implement the virtual functions defined in DataManagerColumn.
void | getColumnSliceV (const Slicer &slicer, ArrayBase &dataPtr)
| Implement the virtual functions defined in DataManagerColumn.
void | putColumnSliceV (const Slicer &slicer, const ArrayBase &dataPtr)
| Implement the virtual functions defined in DataManagerColumn.
virtual void | getColumnSliceCellsV (const RefRows &rownrs, const Slicer &slicer, ArrayBase &dataPtr)
| Implement the virtual functions defined in DataManagerColumn.
virtual void | putColumnSliceCellsV (const RefRows &rownrs, const Slicer &slicer, const ArrayBase &dataPtr)
| Implement the virtual functions defined in DataManagerColumn.

## Detailed Description

template<class T>
class casacore::VirtualArrayColumn< T >

Definition at line 177 of file VirtArrCol.h.

## Constructor & Destructor Documentation

## VirtualArrayColumn() [1/2]

template<class T>

casacore::VirtualArrayColumn< T >::VirtualArrayColumn | ( |  | ) |

inline

Create a column.

Definition at line 181 of file VirtArrCol.h.

Referenced by operator=(), and VirtualArrayColumn().

## ~VirtualArrayColumn()

template<class T>

virtual casacore::VirtualArrayColumn< T >::~VirtualArrayColumn | ( |  | ) |

virtual

## VirtualArrayColumn() [2/2]

template<class T>

casacore::VirtualArrayColumn< T >::VirtualArrayColumn | ( | const VirtualArrayColumn< T > & |  | ) |

delete

The object cannot be copied.

References VirtualArrayColumn().

## Member Function Documentation

## dataType()

template<class T>

virtual int casacore::VirtualArrayColumn< T >::dataType | ( |  | ) | const

virtual

Return the data type of the column.

Implements casacore::DataManagerColumn.

Referenced by casacore::VACEngine< T >::makeDirArrColumn(), and casacore::VACEngine< T >::makeIndArrColumn().

## dataTypeId()

template<class T>

virtual String casacore::VirtualArrayColumn< T >::dataTypeId | ( |  | ) | const

virtual

Return the data type Id of the column.

Reimplemented from casacore::DataManagerColumn.

## getArray()

template<class T>

virtual void casacore::VirtualArrayColumn< T >::getArray | ( | rownr_t | rownr,
|  | Array< T > & | data )

protected pure virtual

Get the array value in the given row.

The data array has to have the correct shape (which is guaranteed by the ArrayColumn::get function).

Implemented in casacore::AzElColumn, casacore::BaseMappedArrayEngine< VirtualType, StoredType >, casacore::BaseMappedArrayEngine< Bool, StoredType >, casacore::BaseMappedArrayEngine< Complex, Int >, casacore::BaseMappedArrayEngine< Float, Short >, casacore::BitFlagsEngine< StoredType >, casacore::CompressComplex, casacore::CompressFloat, casacore::HaDecColumn, casacore::ItrfColumn, casacore::ScaledArrayEngine< VirtualType, StoredType >, casacore::ScaledComplexData< VirtualType, StoredType >, and casacore::UVWJ2000Column.

## getArrayColumn()

template<class T>

virtual void casacore::VirtualArrayColumn< T >::getArrayColumn | ( | Array< T > & | data | ) |

protected virtual

Get an entire column.

The data array has to have the correct shape (which is guaranteed by the ArrayColum::getColumn function). The default implementation gets the column row by row.

Reimplemented in casacore::BaseMappedArrayEngine< VirtualType, StoredType >, casacore::BaseMappedArrayEngine< Bool, StoredType >, casacore::BaseMappedArrayEngine< Complex, Int >, casacore::BaseMappedArrayEngine< Float, Short >, casacore::BitFlagsEngine< StoredType >, casacore::CompressComplex, casacore::CompressFloat, casacore::ScaledArrayEngine< VirtualType, StoredType >, and casacore::ScaledComplexData< VirtualType, StoredType >.

## getArrayColumnCells()

template<class T>

virtual void casacore::VirtualArrayColumn< T >::getArrayColumnCells | ( | const RefRows & | rownrs,
|  | Array< T > & | data )

protected virtual

Get some array values in the column.

The data array has to have the correct length (which is guaranteed by the ArrayColumn::getColumn function). By default it throws a "not possible" exception.

Reimplemented in casacore::BaseMappedArrayEngine< VirtualType, StoredType >, casacore::BaseMappedArrayEngine< Bool, StoredType >, casacore::BaseMappedArrayEngine< Complex, Int >, casacore::BaseMappedArrayEngine< Float, Short >, casacore::BitFlagsEngine< StoredType >, casacore::CompressComplex, casacore::CompressFloat, and casacore::ScaledComplexData< VirtualType, StoredType >.

## getArrayColumnCellsV()

template<class T>

void casacore::VirtualArrayColumn< T >::getArrayColumnCellsV | ( | const RefRows & | rownrs,
|  | ArrayBase & | dataPtr )

private virtual

Implement the virtual functions defined in DataManagerColumn.

Get some array values in the column.

Reimplemented from casacore::DataManagerColumn.

## getArrayColumnV()

template<class T>

void casacore::VirtualArrayColumn< T >::getArrayColumnV | ( | ArrayBase & | dataPtr | ) |

private virtual

Implement the virtual functions defined in DataManagerColumn.

Get an entire column.

Reimplemented from casacore::DataManagerColumn.

## getArrayV()

template<class T>

void casacore::VirtualArrayColumn< T >::getArrayV | ( | rownr_t | rownr,
|  | ArrayBase & | dataPtr )

private virtual

Implement the virtual functions defined in DataManagerColumn.

Get the array value in the given row.

Reimplemented from casacore::DataManagerColumn.

## getColumnSlice()

template<class T>

virtual void casacore::VirtualArrayColumn< T >::getColumnSlice | ( | const Slicer & | slicer,
|  | Array< T > & | data )

protected virtual

Get a section of all arrays in the column.

The data array has to have the correct shape (which is guaranteed by the ArrayColumn::getColumn function). The default implementation gets the column row by row.

Reimplemented in casacore::BaseMappedArrayEngine< VirtualType, StoredType >, casacore::BaseMappedArrayEngine< Bool, StoredType >, casacore::BaseMappedArrayEngine< Complex, Int >, casacore::BaseMappedArrayEngine< Float, Short >, casacore::BitFlagsEngine< StoredType >, casacore::CompressComplex, casacore::CompressFloat, casacore::ScaledArrayEngine< VirtualType, StoredType >, and casacore::ScaledComplexData< VirtualType, StoredType >.

## getColumnSliceCells()

template<class T>

virtual void casacore::VirtualArrayColumn< T >::getColumnSliceCells | ( | const RefRows & | rownrs,
|  | const Slicer & | slicer,
|  | Array< T > & | data )

protected virtual

Get a section of some arrays in the column.

The data array has to have the correct shape (which is guaranteed by the ArrayColumn::getColumn function). By default it throws a "not possible" exception.

Reimplemented in casacore::BaseMappedArrayEngine< VirtualType, StoredType >, casacore::BaseMappedArrayEngine< Bool, StoredType >, casacore::BaseMappedArrayEngine< Complex, Int >, casacore::BaseMappedArrayEngine< Float, Short >, casacore::BitFlagsEngine< StoredType >, casacore::CompressComplex, casacore::CompressFloat, and casacore::ScaledComplexData< VirtualType, StoredType >.

## getColumnSliceCellsV()

template<class T>

virtual void casacore::VirtualArrayColumn< T >::getColumnSliceCellsV | ( | const RefRows & | rownrs,
|  | const Slicer & | slicer,
|  | ArrayBase & | dataPtr )

private virtual

Implement the virtual functions defined in DataManagerColumn.

Get a section of some arrays in the column.

Reimplemented from casacore::DataManagerColumn.

## getColumnSliceV()

template<class T>

void casacore::VirtualArrayColumn< T >::getColumnSliceV | ( | const Slicer & | slicer,
|  | ArrayBase & | dataPtr )

private virtual

Implement the virtual functions defined in DataManagerColumn.

Get a section of all arrays in the column.

Reimplemented from casacore::DataManagerColumn.

## getSlice()

template<class T>

virtual void casacore::VirtualArrayColumn< T >::getSlice | ( | rownr_t | rownr,
|  | const Slicer & | slicer,
|  | Array< T > & | data )

protected virtual

Get a section of the array in the given row.

The data array has to have the correct shape (which is guaranteed by the ArrayColumn::getSlice function). The default implementation gets the slice by getting the full array first.

Reimplemented in casacore::BaseMappedArrayEngine< VirtualType, StoredType >, casacore::BaseMappedArrayEngine< Bool, StoredType >, casacore::BaseMappedArrayEngine< Complex, Int >, casacore::BaseMappedArrayEngine< Float, Short >, casacore::BitFlagsEngine< StoredType >, casacore::CompressComplex, casacore::CompressFloat, casacore::ScaledArrayEngine< VirtualType, StoredType >, and casacore::ScaledComplexData< VirtualType, StoredType >.

## getSliceV()

template<class T>

void casacore::VirtualArrayColumn< T >::getSliceV | ( | rownr_t | rownr,
|  | const Slicer & | slicer,
|  | ArrayBase & | dataPtr )

private virtual

Implement the virtual functions defined in DataManagerColumn.

Get a section of the array in the given row.

Reimplemented from casacore::DataManagerColumn.

## operator=()

template<class T>

VirtualArrayColumn< T > & casacore::VirtualArrayColumn< T >::operator= | ( | const VirtualArrayColumn< T > & |  | ) |

delete

The object cannot be assigned to.

References VirtualArrayColumn().

## putArray()

template<class T>

virtual void casacore::VirtualArrayColumn< T >::putArray | ( | rownr_t | rownr,
|  | const Array< T > & | data )

protected virtual

Put the array value into the given row.

The data array has to have the correct shape (which is guaranteed by the ArrayColumn::put function). By default it throws a "not possible" exception.

Reimplemented in casacore::BaseMappedArrayEngine< VirtualType, StoredType >, casacore::BaseMappedArrayEngine< Bool, StoredType >, casacore::BaseMappedArrayEngine< Complex, Int >, casacore::BaseMappedArrayEngine< Float, Short >, casacore::BitFlagsEngine< StoredType >, casacore::CompressComplex, casacore::CompressFloat, casacore::ScaledArrayEngine< VirtualType, StoredType >, and casacore::ScaledComplexData< VirtualType, StoredType >.

## putArrayColumn()

template<class T>

virtual void casacore::VirtualArrayColumn< T >::putArrayColumn | ( | const Array< T > & | data | ) |

protected virtual

Put an entire column.

The data array has to have the correct shape (which is guaranteed by the ArrayColumn::putColumn function). The default implementation puts the column row by row.

Reimplemented in casacore::BaseMappedArrayEngine< VirtualType, StoredType >, casacore::BaseMappedArrayEngine< Bool, StoredType >, casacore::BaseMappedArrayEngine< Complex, Int >, casacore::BaseMappedArrayEngine< Float, Short >, casacore::BitFlagsEngine< StoredType >, casacore::CompressComplex, casacore::CompressFloat, casacore::ScaledArrayEngine< VirtualType, StoredType >, and casacore::ScaledComplexData< VirtualType, StoredType >.

## putArrayColumnCells()

template<class T>

virtual void casacore::VirtualArrayColumn< T >::putArrayColumnCells | ( | const RefRows & | rownrs,
|  | const Array< T > & | data )

protected virtual

Put some array values in the column.

The data array has to have the correct length (which is guaranteed by the ArrayColumn::putColumn function). By default it throws a "not possible" exception.

Reimplemented in casacore::BaseMappedArrayEngine< VirtualType, StoredType >, casacore::BaseMappedArrayEngine< Bool, StoredType >, casacore::BaseMappedArrayEngine< Complex, Int >, casacore::BaseMappedArrayEngine< Float, Short >, casacore::BitFlagsEngine< StoredType >, casacore::CompressComplex, casacore::CompressFloat, and casacore::ScaledComplexData< VirtualType, StoredType >.

## putArrayColumnCellsV()

template<class T>

void casacore::VirtualArrayColumn< T >::putArrayColumnCellsV | ( | const RefRows & | rownrs,
|  | const ArrayBase & | dataPtr )

private virtual

Implement the virtual functions defined in DataManagerColumn.

Put some array values in the column.

Reimplemented from casacore::DataManagerColumn.

## putArrayColumnV()

template<class T>

void casacore::VirtualArrayColumn< T >::putArrayColumnV | ( | const ArrayBase & | dataPtr | ) |

private virtual

Implement the virtual functions defined in DataManagerColumn.

Put an entire column.

Reimplemented from casacore::DataManagerColumn.

## putArrayV()

template<class T>

void casacore::VirtualArrayColumn< T >::putArrayV | ( | rownr_t | rownr,
|  | const ArrayBase & | dataPtr )

private virtual

Implement the virtual functions defined in DataManagerColumn.

Put the array value into the given row.

Reimplemented from casacore::DataManagerColumn.

## putColumnSlice()

template<class T>

virtual void casacore::VirtualArrayColumn< T >::putColumnSlice | ( | const Slicer & | slicer,
|  | const Array< T > & | data )

protected virtual

Put a section of all arrays in the column.

The data array has to have the correct shape (which is guaranteed by the ArrayColumn putColumn function). The default implementation puts the column row by row.

Reimplemented in casacore::BaseMappedArrayEngine< VirtualType, StoredType >, casacore::BaseMappedArrayEngine< Bool, StoredType >, casacore::BaseMappedArrayEngine< Complex, Int >, casacore::BaseMappedArrayEngine< Float, Short >, casacore::BitFlagsEngine< StoredType >, casacore::CompressComplex, casacore::CompressFloat, casacore::ScaledArrayEngine< VirtualType, StoredType >, and casacore::ScaledComplexData< VirtualType, StoredType >.

## putColumnSliceCells()

template<class T>

virtual void casacore::VirtualArrayColumn< T >::putColumnSliceCells | ( | const RefRows & | rownrs,
|  | const Slicer & | slicer,
|  | const Array< T > & | data )

protected virtual

Put into a section of some arrays in the column.

The data array has to have the correct shape (which is guaranteed by the ArrayColumn::putColumn function). By default it throws a "not possible" exception.

Reimplemented in casacore::BaseMappedArrayEngine< VirtualType, StoredType >, casacore::BaseMappedArrayEngine< Bool, StoredType >, casacore::BaseMappedArrayEngine< Complex, Int >, casacore::BaseMappedArrayEngine< Float, Short >, casacore::BitFlagsEngine< StoredType >, casacore::CompressComplex, casacore::CompressFloat, and casacore::ScaledComplexData< VirtualType, StoredType >.

## putColumnSliceCellsV()

template<class T>

virtual void casacore::VirtualArrayColumn< T >::putColumnSliceCellsV | ( | const RefRows & | rownrs,
|  | const Slicer & | slicer,
|  | const ArrayBase & | dataPtr )

private virtual

Implement the virtual functions defined in DataManagerColumn.

Put into a section of some arrays in the column.

Reimplemented from casacore::DataManagerColumn.

## putColumnSliceV()

template<class T>

void casacore::VirtualArrayColumn< T >::putColumnSliceV | ( | const Slicer & | slicer,
|  | const ArrayBase & | dataPtr )

private virtual

Implement the virtual functions defined in DataManagerColumn.

Put into section of all arrays in the column.

Reimplemented from casacore::DataManagerColumn.

## putSlice()

template<class T>

virtual void casacore::VirtualArrayColumn< T >::putSlice | ( | rownr_t | rownr,
|  | const Slicer & | slicer,
|  | const Array< T > & | data )

protected virtual

Put into a section of the array in the given row.

The data array has to have the correct shape (which is guaranteed by the ArrayColumn::putSlice function). The default implementation gets the slice by accessing the full array.

Reimplemented in casacore::BaseMappedArrayEngine< VirtualType, StoredType >, casacore::BaseMappedArrayEngine< Bool, StoredType >, casacore::BaseMappedArrayEngine< Complex, Int >, casacore::BaseMappedArrayEngine< Float, Short >, casacore::BitFlagsEngine< StoredType >, casacore::CompressComplex, casacore::CompressFloat, casacore::ScaledArrayEngine< VirtualType, StoredType >, and casacore::ScaledComplexData< VirtualType, StoredType >.

## putSliceV()

template<class T>

void casacore::VirtualArrayColumn< T >::putSliceV | ( | rownr_t | rownr,
|  | const Slicer & | slicer,
|  | const ArrayBase & | dataPtr )

private virtual

Implement the virtual functions defined in DataManagerColumn.

Put into a section of the array in the given row.

Reimplemented from casacore::DataManagerColumn.

The documentation for this class was generated from the following file:

- tables/DataMan/VirtArrCol.h